Bug 122067 - rhn_register gives error for an existing user
Summary: rhn_register gives error for an existing user
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools   
(Show other bugs)
Version: 5.0
Hardware: ppc64 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-30 06:12 UTC by Vishal Shah
Modified: 2009-10-14 01:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 19:56:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vishal Shah 2004-04-30 06:12:44 UTC
Description of problem:
We have an existing user for rhn which we were using it on a Linux 
server. That server was formatted and re-installed RH AS2.1. Latest 
up2date has been installed by following 
https://rhn.redhat.com/help/latest-up2date.pxt
Now when we run rhn_register and give the existing username and 
password then it gives the following error:
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 233, in ?
    main()
  File "/usr/sbin/rhn_register", line 214, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1042, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 986, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 567, in __init__
    tui.hardware = hardware.Hardware()
  File "/usr/share/rhn/register/hardware.py", line 383, in Hardware
    ret = read_network()
  File "/usr/share/rhn/register/hardware.py", line 305, in 
read_network
    hostname, ipaddr = findHostByRoute()
  File "/usr/share/rhn/register/hardware.py", line 276, in 
findHostByRoute
    server_port = rhnreg.getProxySettings()
NameError: rhnreg


Version-Release number of selected component (if applicable):
rhn_register-2.9.3-1.2.1AS

How reproducible:
Consistent

Steps to Reproduce:
1. start rhn_register
2. enter existing username and password
3. erorr!
  
Actual results:
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 233, in ?
    main()
  File "/usr/sbin/rhn_register", line 214, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1042, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 986, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 567, in __init__
    tui.hardware = hardware.Hardware()
  File "/usr/share/rhn/register/hardware.py", line 383, in Hardware
    ret = read_network()
  File "/usr/share/rhn/register/hardware.py", line 305, in 
read_network
    hostname, ipaddr = findHostByRoute()
  File "/usr/share/rhn/register/hardware.py", line 276, in 
findHostByRoute
    server_port = rhnreg.getProxySettings()
NameError: rhnreg


Expected results:
It should register on the rhn.

Additional info:

Comment 1 Vishal Shah 2004-08-19 06:54:35 UTC
This error can be resolved if you map the ipaddress and hostname in 
the /etc/hosts file.

Comment 2 Adrian Likins 2004-09-02 19:56:42 UTC
This should be fixed with rhel2.1-u5 (rhn_register-2.9.12,
up2date-2.9.14)


Note You need to log in before you can comment on or make changes to this bug.